package ru.dbotthepony.mc.otm.mixin;

import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.AbstractContainerMenu;
import net.minecraft.world.level.block.entity.HopperBlockEntity;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;
import ru.dbotthepony.mc.otm.compat.vanilla.MatteryChestMenu;

@Mixin(HopperBlockEntity.class)
public abstract class HopperBlockEntityMixin {
	@Overwrite
	public AbstractContainerMenu createMenu(int p_59312_, Inventory p_59313_) {
		return MatteryChestMenu.hopper(p_59312_, p_59313_, (HopperBlockEntity) (Object) this);
	}
}
